/*
 * PathList.java
 *
 * Created on February 17, 2002, 7:37 PM
 */
import java.util.Vector;
import java.util.Enumeration;
/**
 * This class is used to maintain a list of String objects which represent paths.
 * It is implement with a java.util.Vector object.
 *
 * @author  andrewm
 */
public class PathList
{
	// Vector which holds the paths
	Vector paths;
	
	/** Creates a new instance of PathList */
	public PathList()
	{
		paths = new Vector();
	}
	
	/**
	 * Adds a new path to the Pathlist if that path isn't already in the list
	 *
	 * @param path String representing the path to be entered.
	 * @return int If the path was already in the list then the path id of the
	 *             path already in the list is returned.  Otherwise, the path id
	 *             of the newly inserted path is returned.
	 */
	public int addPath( String path )
	{
		// Check to see if the path already exists in the list
		if ( !paths.contains( path ) )
		{
			// If not already there, add the path to the list
			paths.add( path );
			
			// Return the path id of the new path in the path list
			return ( paths.size() );
		}
		else
		{
			// Return the id of the path if it is already in the list
			return paths.indexOf( path ) + 1;
		}
	}
	
	/**
	 * Returns the list of paths as an enumeration
	 * 
	 * @return Enumeration Enumeration of the path list
	 */	
	public Enumeration getPaths()
	{
		return paths.elements();
	}
}
